# Home

SQL is like a secret code for databases. SQL helps you find hidden treasures in big data piles.

With the Monaco Motors database, you can practice your SQL ninja skills and become a SQL superstar.

Go on a luxury data adventure with the Monaco Motors Schema!

![SQL Query Tool](/docs/docs/cover.png)

This is a free and public MariaDB database schema for a fictional Monaco Motors dealership that sells high-end European cars. The Monaco Motors schema was made so that the "kode kiddies" learning SQL and databases have somewhere to play. 

## Monaco Motors Overview

The Monaco Motors schema data provides details about customers, sales agents, deals, vehicles, distributors, insurance, managers, and regions.

You can use this data to analyze sales trends, identify top-performing agents, track inventory, and understand customer preferences.

It's a SQL learning growth for those who desire.

## Monaco Motors Tables

This is a database for a fictional Monaco Motors dealership that sells high-end European cars. The data covers various aspects of the dealership's operations, including:

* **Customers:** Customer information like ID, agent ID, name, phone number, and email.

* **Sales Agents:** Agent information like ID, manager ID, dealership ID, names, and salary.

* **Deals:** Deal information like ID, vehicle ID, agent ID, customer ID, insurance ID, and deal date.

* **Vehicles:** Vehicle information like ID, dealership ID, distributor ID, make, model, body type, model year, and price.

* **Distributors:** Distributor information like ID and name.

* **Insurance:** Insurance policy information like ID, type, and renewal date.

* **Managers:** Manager information like ID, dealership ID, distributor ID, names, salary, and bonus (optional).

* **Regions:** Region information like ID, zip code, and name.

Learn more about the Monaco Motors schema [here](/docs/docs/schema.md).

## Access Monaco Motors Schema (Web Browser)

You can access the databases using only your web browser.

### Server URL

navigate your browser to the following url or [click here](https://databases.jacquesingram.online).

```
https://databases.jacquesingram.online
```

Enter the username and password:

### Username

```
user: lenape
```

### Password

```
user : lenape
```

## Sharpen Your SQL Skills

Ready to level up your SQL skills and gain hands-on experience?

Dive into free resources to practice with the Monaco Motors database.

Get sharp. Stay sharp. Dominate.

[Databases & SQL 101](/docs/docs/Introduction-To-Databases/)
